// array.cpp
// Various stuff with an array

#include <iostream>
#include <fstream>
#include <string>

using namespace std;

const int max_scores = 100;

int main() {
  int A[max_scores];
  int scores;
  int i, sum, largest_index, smallest_index;
  ifstream inf;
  string fname;

  do {
    cout << "How many scores to input? ";
    cin >> scores;
    if (scores > max_scores)
      cout << "error! can not be greater than " << max_scores << endl;
  } while (scores > max_scores);

  sum = 0;
  for (i=0; i<scores; i++) {
    cin >> A[i];
    sum += A[i];
  }
  cout << "Sum of values: " << sum << endl;

  largest_index = 0;
  smallest_index = 0;
  for (i=1; i<scores; i++) {
    if (A[i] > A[largest_index])
      largest_index = i;
    if (A[i] < A[smallest_index])
      smallest_index = i;
  }
  cout << "Largest value is " << A[largest_index] << " at element "
       << largest_index << endl;
  cout << "Smallest value is " << A[smallest_index] << " at element "
       << smallest_index << endl;


  cout << endl << "Enter name of file of data: ";
  cin >> fname;
  inf.open(fname.c_str());
  if (!inf)
    cout << "error! file open failed" << endl;
  else {
    scores = 0;    //count and index
    sum = 0;
    inf >> A[scores];
    while (inf && scores<max_scores) {
      sum += A[scores];
      scores++;
      inf >> A[scores];
    }
    cout << "Sum of values: " << sum << endl;
  }
}


