#include <iostream>
#include <cstdlib>
#include <ctime>

const int MAX=1000000;

void generate_array (int [], int,int);
void display_array (int [], int);
void dups_check_array (int [], int);


int main () {

  int size, range;
  int A[MAX];
  char display;

  srand(time(NULL));    //initialize random number generator

  cout << "Enter size of array (ie. number of ints to sort) (Max of " 
       << MAX << endl;
  cin >> size;

  cout <<"  Enter range limit (ie. ints range from 1 to ?): ";
  cin >> range;

  generate_array(A,size,range);

  cout << "Display the array ( y or n) ";
  cin >> display;


  if (display=='y') {
    display_array(A,size);
    cout << endl;
  }

  dups_check_array(A,size);

}





//*****************************************************************
void generate_array (int A[], int size, int range) {

  for (int i=0; i<size; i++) 
    A[i] = rand() % range;
}


//*****************************************************************
void display_array (int A[], int size) {

  for (int i=0; i<size; i++) 
    cout << " " << A[i];
}


//***********************************************************

void dups_check_array (int A[], int size) {

  for (int i=0; i<size; i++)
    for (int j=i+1; j<size; j++)
      if (A[i] == A[j])
	cout << "duplicate: " << A[i] << " at " << i << " and " << j << endl;
}




