// file.cpp
// Simple demo of stream file I/O
// Read file of ints, sum them, output sum and average to another file.

#include <iostream>
#include <fstream>        // fstream
#include <string> 

using namespace std;
       

int main() {
  string fname;
  ifstream inf;
  ofstream outf;
  int num, sum=0, count=0;

  cout << "Enter name of file: ";
  cin >> fname;
  inf.open(fname.c_str());  //c_str() converts string to C string (i.e. char *)
  if (!inf) {      //open failed
    cout << "ERROR.  input file not opened: " << fname << endl;
    cout << "bye" << endl;
  }
  else {
    inf >> num;     //priming read
    while (inf) {      //until EOF
      sum += num;
      count++;
      inf >> num;     //inputting after last in file sets EOF to true
    }
    inf.close();

    fname = fname + ".out";
    outf.open(fname.c_str());
    if (!outf) {
      cout << "ERROR.  output file not opened: " << fname << endl;
      cout << "bye" << endl;
    }
    else {
      outf << "Sum of the numbers is " << sum << endl;
      outf << "Average of the numbers is " << float(sum)/count << endl;
      outf.close();
    }
  }
}


