// morse.cpp
// Convert text to Morse code.

#include <iostream>
#include <cstring>
#include <cctype>

using namespace std;

const int MAXWORD=20;

int main() {

  char morse_code[26][5]={".-",  "-...",     // A B
			  "-.-.","-..",      // C D
			  ".",   "..-.",     // E F
			  "--.", "....",     // G H
			  "..",  ".---",     // I J
			  "-.-", ".-..",     // K L
			  "--",  "-.",       // M N
			  "---", ".--.",     // O P
			  "--.-",".-.",      // Q R
			  "...", "-",        // S T
			  "..-", "...-",     // U V
			  ".--", "-..-",     // W X
			  "-.--","--.."};    // Y Z
  char word[MAXWORD];
  int i;
  char c;

  cout << "Enter words for morse code conversion. 999 to quit" << endl;

  do {
    cin >> word;                         // input a word
    for (i=0; i<strlen(word); i++) {          // each char of word
      c = toupper(word[i]);                   // ignore non-letters
      if (isupper(c))
	cout << morse_code[c-'A'] << " "; //output Morse code string of letter
    }
    cout << endl;
  } while (strcmp("999",word) != 0);
}
/*
Enter words for morse code conversion. 999 to quit
sos
... --- ...
send more money
... . -. -..
-- --- .-. .
-- --- -. . -.--
the quick brown fox jumped over the lazy dog
- .... .
--.- ..- .. -.-. -.-
-... .-. --- .-- -.
..-. --- -..-
.--- ..- -- .--. . -..
--- ...- . .-.
- .... .
.-.. .- --.. -.--
-.. --- --.
999
*/

