//stddev.cpp
// Compute standard deviation of data.

#include <iostream>
#include <cmath>

using namespace std;

const int maxnums=100;


int main() {

  float nums[maxnums];
  float sum;
  int i, size;                    //number of values in array
  float avg, diffs_sum, stddev;

  cout << endl << "Enter numbers to compute average and standard deviation "
                  "of: (EOF to quit [DOS: Ctrl z]) " << endl;

  size = 0;
  sum = 0;
  cin >> nums[size];     //input first number

  //while space available in array and not EOF of cin
  while (size<maxnums && cin) {

    sum += nums[size];     //add the just-input number to sum
    size++;                //increment count of numbers 
                           //(is index of next element in array)
    cin >> nums[size];
  }

  if (size == maxnums)  //if array was filled (an maybe user has more numbers)
    cout << "Only " << maxnums << " numbers can be entered" << endl;

  avg = sum / size;     //mean (average) of the numbers

  diffs_sum = 0;
  //sum of the squares of the differences from mean
  for (i=0; i<size; i++)
    diffs_sum += (avg-nums[i]) * (avg-nums[i]);

  //standard deviation is square root of the average squared
  // difference from mean
  stddev = sqrt(diffs_sum/size);

  cout << "Average: " << avg << endl;
  cout << "Standard deviation: " << stddev << endl;
}

