// prime2.cpp
// Find all primes up to user-specified limit.

#include <iostream>
#include <iomanip>
#include <cmath>

using namespace std;

bool is_prime (unsigned long int);


int main () {

  unsigned long int limit, i;

  unsigned long int count=0;

  cout << endl << "Enter upper limit of numbers to test for primeness: ";
  cin >> limit;
  for (i=2; i<=limit; i++)
    if (is_prime(i)) {
      cout << setw(8) << i;
      count++;
      if (count % 9 == 0)
        cout << endl;
    }
  cout << endl << "# of Primes: " << count << endl;
}




bool is_prime (unsigned long int num) {

  unsigned long int i;

  for (i=2; i<=sqrt(num); i++)
    if (num%i == 0)
      break;		// evenly divisible

  if (i <= sqrt(num))
    return false;
  else
    return true;
}

